#pragma once
#include "../Generic/undirectednode.h"

namespace Datastructures {
	namespace Nodes {
		template <typename T>
		class LinkedListNode : public Generic::UndirectedNode<T, LinkedListNode<T>>
		{
		public:
			LinkedListNode(T value, std::shared_ptr<LinkedListNode<T>> next = nullptr);
			~LinkedListNode();

			std::shared_ptr<LinkedListNode<T>> create(T value, std::shared_ptr<LinkedListNode<T>> next = nullptr);

		private:

		};
	}
}